#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ "${OBJECTGRID_HOME}" != "" ]; then
  	${JAVA_EXE} ${WXS_REAL_TIME_JAVA} \
        -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager \
        -Djava.util.logging.configureByServer=true \
  		-classpath "$OBJECTGRID_HOME"/lib/ogclient.jar \
		com.ibm.ws.objectgrid.gateway.ManagementGatewayImpl \
		"$@"
else
	${JAVA_EXE} ${WXS_REAL_TIME_JAVA} \
	-classpath "$WAS_CLASSPATH" "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins" \
	"-Dwas.install.root=$WAS_HOME" "-Duser.install.root=$USER_INSTALL_ROOT" $WAS_LOGGING \
	com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.gateway.ManagementGatewayImpl \
	"$@"
fi;